RT_SIGSUSPEND(2)

NAME
rt_sigsuspend - Replace the signal mask for a value with the unewset value until a signal is received

SYNOPSIS

long sys_rt_sigsuspend (sigset_t *unewset, size_t sigsetsize, struct pt_regs regs); Opteron

long sys_rt_sigsuspend (sigset_t *unewset, size_t sigsetsize, struct pt_regs regs); pSeries

long sys_rt_sigsuspend (sigset_t *unewset, size_t sigsetsize); xSeries

long sys_rt_sigsuspend (struct pt_regs *regs, sigset_t *unewset, size_t sigsetsize); s390

DESCRIPTION

rt_sigsuspend replaces the signal mask for the process with the unewset value until a signal is received. sigsetsize should indicate the size of a sigset_t type. In some architectures, the struct pt_regs regs is used to indicate interrupts.

RETURN VALUE

rt_sigsuspend always returns -1 with the EINTR value.

ERRORS

-EINVAL
    An invalid signal was specified.

-EFAULT
    unewset pointed to memory that is not part of the process address.

-EITR
    The system call was interrupted.

SEE ALSO

rt_sigaction(2), rt_sigpending(2), rt_sigprocmask(2), rt_sigqueue(2), rt_sigreturn(2), rt_sigtimedwait(2)

AUTHOR
Niki Rahimi